Name:           telepathy-gabble
Version:        0.10.5
Release:        1%{?dist}
Summary:        A Jabber/XMPP connection manager

Group:          Applications/Communications
# The entire source code is LGPLv2+, except src/libmd5-rfc/ and src/sha1/ which are BSD.
License:        LGPLv2+ and (BSD)
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.82
BuildRequires:  telepathy-glib-devel >= 0.11.16
BuildRequires:  glib2-devel >= 2.24
BuildRequires:	sqlite-devel
BuildRequires:  libuuid-devel
BuildRequires:  libsoup-devel
BuildRequires:	libnice-devel >= 0.0.11
BuildRequires:	cyrus-sasl-devel
BuildRequires:  libxslt
BuildRequires:  python

Requires:       telepathy-mission-control >= 5.5.0
Requires:	telepathy-filesystem


%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.


%prep
%setup -q


%build
%configure --enable-static=no	\
	   --with-ca-certificates=/etc/pki/tls/certs/ca-bundle.crt
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

## Don't package html doc to incorrect doc directory
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/*.html


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%doc docs/*.html
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_mandir}/man8/%{name}.8.gz
## If more connection managers make use of libdir/telepathy this
## be moved to the tp-filesystem spec file.
%dir %{_libdir}/telepathy
%dir %{_libdir}/telepathy/gabble-0
%{_libdir}/telepathy/gabble-0/gateways.so


%changelog
* Wed Feb 16 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.10.5-1
- Update to 0.10.5.

* Tue Nov  2 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.4-1
- Update to 0.10.4.
- Bump min BR of glib2.

* Tue Oct 12 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.3-1
- Update to 0.10.3.
- Add requires on tp-mission-control. Refer to NEWS file.

* Mon Sep 13 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.18-1
- Update to 0.9.18.

* Thu Aug 26 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.17-1
- Update to 0.9.17.
- Add Fedora's CA cert path to config.
- Drop buildroot. No longer needed.

* Fri Aug 20 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.16-1
- Update to 0.9.16.

* Wed Jun 30 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.15-1
- Update to 0.9.15.

* Mon Jun 28 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14.
- Drop disco patch. Fixed upstream.

* Thu Jun 24 2010 Matthew Garrett <mjg@redhat.com> - 0.9.13-2
- telepathy-gabble-disco-fix.patch: Fix connections to some servers

* Mon Jun 14 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.13-1
- Update to 0.9.13.
- Add BR on cyrus-sasl-devel for wocky test.
- Add BR on libnice-devel

* Thu Jun  3 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.12-1
- Update to 0.9.12.
- Add BR for sqlite-devel.
- Bump min req for tp-glib.

* Mon Apr 26 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.11-1
- Update to 0.9.11.

* Sun Apr 25 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.9-2
- Drop clean section. No longer needed.

* Sun Mar 28 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.9-1
- Update to 0.9.9.

* Wed Mar 17 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.8-1
- Update to 0.9.8.

* Thu Feb 25 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.6-1
- Update to 0.9.6.

* Fri Feb 19 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.5-1
- Update to 0.9.5.

* Thu Jan 28 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.4-1
- Update to 0.9.4.

* Tue Jan 26 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3.
- Drop vcard-manager-hashtable patch.
- Drop try-not-to-set-vcard-fields patch.
- Drop vcard-on-login patch.
- Drop loudmouth-devel BR.

* Tue Dec 22 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.9-3
- Bump.

* Tue Dec 22 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.9-2
- Backport some patches to prevent gabble from setting your VCard
  on every login.

* Mon Dec  7 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.9-1
- Update to 0.8.9.
- Drop proxy patch.  Fixed upstream.

* Thu Nov 26 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.8-2
- Add patch to only query SOCK5 proxies when needed.

* Mon Nov  9 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.8-1
- Update to 0.8.8.

* Wed Oct 14 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.7-1
- Update to 0.8.7.

* Fri Oct  9 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.6-1
- Update to 0.8.6.

* Fri Oct  2 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.5-1
- Update to 0.8.5.

* Wed Sep 30 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.4-1
- Update to 0.8.4.

* Thu Sep 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3.

* Thu Sep  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2.

* Thu Aug 20 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.1-2
- Enable libuuid support.

* Thu Aug 20 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1.

* Tue Aug 18 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0.
- Bump min version of tp-glib needed.

* Sun Aug  9 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.32-1
- Update to 0.7.32.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.31-1
- Update to 0.7.31.

* Mon Jun 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.30-1
- Update to 0.7.30.

* Sun Jun 21 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.29-1
- Update to 0.7.29.

* Wed Jun 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.28-1
- Update to 0.7.28.

* Mon May 11 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.27-1
- Update to 0.7.27.
- Drop gthread patch.  Fixed upstream.

* Thu Apr  9 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.26-1
- Update to 0.7.26.

* Fri Apr  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.25-1
- Update to 0.7.25.
- Bump minimum version of tp-glib-devel needed.

* Mon Mar 23 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.24-1
- Update to 0.7.24.
- Add BR on libsoup-devel.
- Add patch to have pkgconfig link in gthread-2.0.

* Mon Mar  2 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.22-1
- Update to 0.7.22.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.21-1
- Update to 0.7.21.
- Bump minimum version of tp-glib-devel needed.

* Mon Feb  2 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.20-1
- Update to 0.7.20.

* Thu Jan 29 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.19-1
- Update to 0.7.19.

* Tue Jan  6 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.18-1
- Update to 0.7.18.

* Sun Dec 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.17-1
- Update to 0.7.17.

* Tue Dec  2 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.16-1
- Update to 0.7.16.

* Fri Nov  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.15-1
- Update to 0.7.15.

* Thu Oct 23 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.12-1
- Update to 0.7.12.

* Wed Oct 15 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.10-1
- Update to 0.7.10.

* Mon Sep 29 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.9-1
- Update to 0.7.9.

* Sat Aug 23 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.8-1
- Update to 0.7.8.
- Drop assertion patch.  Fixed upstream.

* Thu Aug  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.7-2
- Add patch to fix assertion. (#457659)

* Thu Jul 31 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.7-1
- Update to 0.7.7.
- Bump min version of tp-glib needed.

* Fri May 16 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6.

* Mon May  5 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-1
- Update to 0.7.5.

* Fri May  2 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4.
- Package new documentation.

* Thu Feb 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-3
- Rebuild for gcc-4.3.

* Fri Jan 18 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-2
- Rebuild for new version of loudmouth.

* Wed Nov  7 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1.

* Mon Oct  1 2007 Matej Cepl <mcepl@redhat.com> - 0.6.0-1
- New upstream version.

* Fri Sep  7 2007 Matej Cepl <mcepl@redhat.com> - 0.5.14-1
- New upstream version

* Thu Aug 30 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-1
- Update to 0.5.13.
- Bump minimum version of telepathy-glib.

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-5
- Add python as a BR.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-4
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-3
- Update license tag.

* Tue Jun 19 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-2
- Correct version check for loudmouth

* Tue Jun 19 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-1
- Update to 0.5.12.
- Add BR on telepathy-glib-devel

* Tue Feb 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-2
- Rebuild for new loudmouth.

* Mon Jan 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1.

* Tue Dec 12 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0.

* Thu Dec  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.9-1
- Update to 0.4.9.

* Fri Dec  1 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.8-1
- Update to 0.4.8.

* Thu Nov 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5.

* Sat Nov  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3.

* Fri Oct 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2.

* Mon Oct 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1.

* Thu Oct 19 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0.

* Fri Oct 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.13-1
- Update to 0.3.13.

* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-1
- Update to 0.3.11.

* Thu Oct  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.10-1
- Update to 0.3.10.

* Wed Oct  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.9-1
- Update to 0.3.9.

* Sun Oct  1 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7.
- Add requires on telepathy-filesystem.

* Thu Sep 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6.

* Sun Sep 17 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5.

* Mon Sep 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4.
- Use -disable-loudmouth-versioning to build with stable version of loudmouth.

* Sat Sep  9 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-2
- Bump.

* Mon Aug 28 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-1
- Initial FE spec.

